# PRFC1155_ApplicationSyntax Class Reference

`#include <rfc1155.h>`

Inheritance diagram for PRFC1155_ApplicationSyntax:

List of all members.

## Public Types

| e_counter = 1
| e_gauge
| e_ticks
| e_arbitrary
enum | Choices { e_counter = 1, e_gauge, e_ticks, e_arbitrary }

## Public Member Functions

| PRFC1155_ApplicationSyntax (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator PRFC1155_NetworkAddress & ()
| operator const PRFC1155_NetworkAddress & () const
| operator PRFC1155_Counter & ()
| operator const PRFC1155_Counter & () const
| operator PRFC1155_Gauge & ()
| operator const PRFC1155_Gauge & () const
| operator PRFC1155_TimeTicks & ()
| operator const PRFC1155_TimeTicks & () const
| operator PRFC1155_Opaque & ()
| operator const PRFC1155_Opaque & () const
PBoolean | CreateObject ()
PObject * | Clone () const
| Create a copy of the class on the heap.

## Member Enumeration Documentation

enum PRFC1155_ApplicationSyntax::Choices

Enumerator:

  e_counter |
  e_gauge |
  e_ticks |
  e_arbitrary |

## Constructor & Destructor Documentation

PRFC1155_ApplicationSyntax::PRFC1155_ApplicationSyntax | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* PRFC1155_ApplicationSyntax::Clone | ( |  | ) | const`[virtual]`

Create a copy of the class on the heap.

The exact semantics of the descendent class determine what is required to make a duplicate of the instance. Not all classes can even do a clone operation.

The main user of the clone function is the `PDictionary` class as it requires copies of the dictionary keys.

The default behaviour is for this function to assert.

Returns:
  pointer to new copy of the class instance.

Reimplemented from PObject.

PBoolean PRFC1155_ApplicationSyntax::CreateObject | ( |  | ) | `[virtual]`

Implements PASN_Choice.

PRFC1155_ApplicationSyntax::operator const PRFC1155_Counter & | ( |  | ) | const

PRFC1155_ApplicationSyntax::operator const PRFC1155_Gauge & | ( |  | ) | const

PRFC1155_ApplicationSyntax::operator const PRFC1155_NetworkAddress & | ( |  | ) | const

PRFC1155_ApplicationSyntax::operator const PRFC1155_Opaque & | ( |  | ) | const

PRFC1155_ApplicationSyntax::operator const PRFC1155_TimeTicks & | ( |  | ) | const

PRFC1155_ApplicationSyntax::operator PRFC1155_Counter & | ( |  | ) |

PRFC1155_ApplicationSyntax::operator PRFC1155_Gauge & | ( |  | ) |

PRFC1155_ApplicationSyntax::operator PRFC1155_NetworkAddress & | ( |  | ) |

PRFC1155_ApplicationSyntax::operator PRFC1155_Opaque & | ( |  | ) |

PRFC1155_ApplicationSyntax::operator PRFC1155_TimeTicks & | ( |  | ) |

The documentation for this class was generated from the following file:

- rfc1155.h